Xerces-C++ 3.2.4

Public Types | List of all members
XSWildcard Class Reference

`#include <xercesc/framework/psvi/XSWildcard.hpp>`

Inheritance diagram for XSWildcard:

## Public Types
enum | NAMESPACE_CONSTRAINT { NSCONSTRAINT_ANY = 1 , NSCONSTRAINT_NOT = 2 , NSCONSTRAINT_DERIVATION_LIST = 3 }
enum | PROCESS_CONTENTS { PC_STRICT = 1 , PC_SKIP = 2 , PC_LAX = 3 }

## Public Member Functions
Constructors
| XSWildcard (SchemaAttDef *const attWildCard, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
| XSWildcard (const ContentSpecNode *const elmWildCard, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSWildcard ()
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSWildcard methods
NAMESPACE_CONSTRAINT | fConstraintType
PROCESS_CONTENTS | fProcessContents
StringList * | fNsConstraintList
XSAnnotation * | fAnnotation
NAMESPACE_CONSTRAINT | getConstraintType () const
| Namespace constraint: A constraint type: any, not, list. More...
StringList * | getNsConstraintList ()
| Namespace constraint. More...
PROCESS_CONTENTS | getProcessContents () const
| [process contents]: one of skip, lax or strict. More...
XSAnnotation * | getAnnotation () const
| Optional. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Member Enumeration Documentation

## ◆ NAMESPACE_CONSTRAINT

enum XSWildcard::NAMESPACE_CONSTRAINT

Enumerator
NSCONSTRAINT_ANY | Namespace Constraint: any namespace is allowed.
NSCONSTRAINT_NOT | Namespace Constraint: namespaces in the list are not allowed.
NSCONSTRAINT_DERIVATION_LIST | Namespace Constraint: namespaces in the list are allowed.

## ◆ PROCESS_CONTENTS

enum XSWildcard::PROCESS_CONTENTS

Enumerator
PC_STRICT | There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.
PC_SKIP | No constraints at all: the item must simply be well-formed XML.
PC_LAX | If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can, don't worry when you can't.

## Constructor & Destructor Documentation

## ◆ XSWildcard() [1/2]

XSWildcard::XSWildcard | ( | SchemaAttDef *const | attWildCard,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  attWildCard |
  annot |
  xsModel |
  manager | The configurable memory manager

## ◆ XSWildcard() [2/2]

XSWildcard::XSWildcard | ( | const ContentSpecNode *const | elmWildCard,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~XSWildcard()

XSWildcard::~XSWildcard | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotation()

XSAnnotation * XSWildcard::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## ◆ getConstraintType()

XSWildcard::NAMESPACE_CONSTRAINT XSWildcard::getConstraintType | ( |  | ) | const

Namespace constraint: A constraint type: any, not, list.

References fConstraintType.

## ◆ getNsConstraintList()

StringList * XSWildcard::getNsConstraintList | ( |  | ) |

Namespace constraint.

For `constraintType` `NSCONSTRAINT_DERIVATION_LIST`, the list contains allowed namespaces. For `constraintType` `NSCONSTRAINT_NOT`, the list contains disallowed namespaces.

References fNsConstraintList.

## ◆ getProcessContents()

XSWildcard::PROCESS_CONTENTS XSWildcard::getProcessContents | ( |  | ) | const

[process contents]: one of skip, lax or strict.

Valid constants values are: `PC_SKIP, PC_LAX, PC_STRICT`.

References fProcessContents.

## Member Data Documentation

## ◆ fAnnotation

XSAnnotation* XSWildcard::fAnnotation
| protected

Referenced by getAnnotation().

## ◆ fConstraintType

NAMESPACE_CONSTRAINT XSWildcard::fConstraintType
| protected

Referenced by getConstraintType().

## ◆ fNsConstraintList

StringList* XSWildcard::fNsConstraintList
| protected

Referenced by getNsConstraintList().

## ◆ fProcessContents

PROCESS_CONTENTS XSWildcard::fProcessContents
| protected

Referenced by getProcessContents().

The documentation for this class was generated from the following file:

- XSWildcard.hpp